Commit 578de02b authored by Bessemer's avatar Bessemer
Browse files

Merge branch 'master' of git://git.tails.boum.org/tails

Pull from origin
parents 4b45aadb 50f96bed
......@@ -32,3 +32,13 @@
/vagrant/definitions/squeeze/preseed.cfg
/vagrant/iso
/vagrant/squeeze.box
# Files managed by intltool
/config/chroot_local-includes/etc/skel/Desktop/Report_a_Bug.desktop
/config/chroot_local-includes/etc/skel/Desktop/Tails_documentation.desktop
/config/chroot_local-includes/usr/share/applications/tails-reboot.desktop
/config/chroot_local-includes/usr/share/applications/unsafe-browser.desktop
/config/chroot_local-includes/usr/share/applications/tails-shutdown.desktop
/config/chroot_local-includes/usr/share/applications/i2p.desktop
/config/chroot_local-includes/usr/share/desktop-directories/Tails.directory
/tmp/
......@@ -4,11 +4,18 @@
umask 022
### functions
fatal () {
echo "$*" >&2
exit 1
}
### Main
# we require building from git
if ! git rev-parse --is-inside-work-tree &> /dev/null; then
echo "${PWD} is not a Git tree."
exit 1
fi
git rev-parse --is-inside-work-tree &> /dev/null \
|| fatal "${PWD} is not a Git tree."
. config/amnesia
if [ -e config/amnesia.local ] ; then
......@@ -28,11 +35,16 @@ rm -rf cache/stages_rootfs
./build-wiki
# refresh translations of our programs
./refresh-translations
./refresh-translations || fatal "refresh-translations failed ($?)."
# save variables that are needed by chroot_local-hooks
echo "LB_DISTRIBUTION=${LB_DISTRIBUTION}" >> config/chroot_local-includes/usr/share/amnesia/build/variables
echo "AMNESIA_SUPPORTED_LANGUAGES='${AMNESIA_SUPPORTED_LANGUAGES}'" >> config/chroot_local-includes/usr/share/amnesia/build/variables
echo "POTFILES_DOT_IN='$(
/bin/grep -E --no-filename '[^ #]*\.in$' po/POTFILES.in \
| sed -e 's,^config/chroot_local-includes,,' | tr "\n" ' '
)'" \
>> config/chroot_local-includes/usr/share/amnesia/build/variables
# fix permissions on some source files that will be copied as is to the chroot.
# they may be wrong, e.g. if the Git repository was cloned with a strict umask.
......@@ -71,8 +83,7 @@ else
else
# this shouldn't reasonably happen (e.g. only if you checkout a
# tag, remove the tag and then build)
echo "Neither a Git branch nor a tag, exiting."
exit 1
fatal "Neither a Git branch nor a tag, exiting."
fi
fi
......@@ -94,8 +105,7 @@ case "$LB_BINARY_IMAGES" in
BUILD_FILENAME=binary
;;
*)
echo "Image type ${LB_BINARY_IMAGES} is not supported." >&2
exit 1
fatal "Image type ${LB_BINARY_IMAGES} is not supported."
;;
esac
BUILD_DEST_FILENAME="${BUILD_BASENAME}.${BUILD_FILENAME_EXT}"
......@@ -111,6 +121,5 @@ if time eatmydata lb build noauto ${@} 2>&1 | tee "${BUILD_LOG}" ; then
mv -i "${BUILD_FILENAME}.${BUILD_FILENAME_EXT}" "${BUILD_DEST_FILENAME}"
mv -i binary.packages "${BUILD_PACKAGES}"
else
echo "lb build failed." >&2
exit 1
fatal "lb build failed ($?)."
fi
......@@ -4,6 +4,9 @@ set -e
echo "Removing unwanted files"
# Get POTFILES_DOT_IN
. /usr/share/amnesia/build/variables
rm /usr/share/icons/gnome/icon-theme.cache
rm -r \
......@@ -34,3 +37,6 @@ find /usr -name "*.pyc" -print0 | xargs -0r rm -f
for file in $(find /var/log/ -type f); do
: > "${file}"
done
# Remove .in files managed by intltool
rm $POTFILES_DOT_IN
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Report a Bug
_Name=Report a Bug
Type=Application
Terminal=false
Exec=torsocks whisperback
Icon=/usr/share/pixmaps/whisperback.svg
Name[fr_FR]=Faire un rapport de Bug
Name[de_DE]=Einen Bug melden
Name[sv]=Bugg-anmälan
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Tails documentation
_Name=Tails documentation
Type=Application
Terminal=false
Exec=/usr/local/bin/tails-documentation getting_started
Icon=/usr/share/icons/gnome/48x48/categories/system-help.png
Name[fr_FR]=Documentation de Tails
Name[de_DE]=Dokumentation Tails
Name[sv]=Tails dokumentation
......@@ -53,7 +53,7 @@ def __get_localised_doc_link():
def _(string):
try:
string = gettext.translation("amnesia", "/usr/share/locale").lgettext(string)
string = gettext.translation("tails", "/usr/share/locale").lgettext(string)
except IOError:
pass
finally:
......
......@@ -44,7 +44,7 @@ use DateTime;
use Locale::gettext;
use POSIX;
setlocale(LC_MESSAGES, "");
textdomain("gpgApplet");
textdomain("tails");
=head1 GLOBALS
......
......@@ -10,9 +10,10 @@ from locale import setlocale, LC_ALL
LOCALE_PREFIX = "%susr" % (sep)
LOCALE_DIR = "%s%sshare%slocale" % ( LOCALE_PREFIX, sep, sep )
PACKAGE = "shutdown_helper_applet"
TEXT_DOMAIN = "tails"
setlocale(LC_ALL, "")
bindtextdomain(PACKAGE, LOCALE_DIR)
textdomain(PACKAGE)
textdomain(TEXT_DOMAIN)
def applet_factory(applet, iid):
image = gtk.Image()
......
......@@ -5,7 +5,7 @@ import gtk
import gettext
import subprocess
gettext.install("tails-about")
gettext.install("tails")
try:
tails_version = subprocess.Popen(["tails-version"], stdout=subprocess.PIPE).communicate()[0]
tails_main_version = tails_version.split("-")[0]
......
......@@ -31,7 +31,7 @@ use POSIX;
### initialization
setlocale(LC_MESSAGES, "");
textdomain("tails-htp-notify-user");
textdomain("tails");
my $htp_done_file = '/var/run/htpdate/done';
my $htp_success_file = '/var/run/htpdate/success';
my $htp_log_file = '/var/log/htpdate.log';
......
......@@ -59,7 +59,7 @@ BEGIN {
use LWP::UserAgent; # needs to be *after* IO::Socket::SSL's initialization
setlocale(LC_MESSAGES, "");
textdomain("tails-security-check");
textdomain("tails");
### configuration
......
......@@ -28,7 +28,7 @@ use POSIX;
### initialization
setlocale(LC_MESSAGES, "");
textdomain("tails-i2p-notify-user");
textdomain("tails");
### helper subs
......
......@@ -30,7 +30,7 @@ use POSIX;
### initialization
setlocale(LC_MESSAGES, "");
textdomain("tails-virt-notify-user");
textdomain("tails");
my $detected_virt_file='/var/lib/live/detected-virtual-machine';
### main
......
......@@ -143,7 +143,7 @@ if __name__ == "__main__":
program_name = os.path.basename(sys.argv[0])
syslog.openlog("%s[%i]" % (program_name, os.getpid()))
gettext.install(program_name)
gettext.install("tails")
if len(sys.argv) < 2:
print_help()
......
......@@ -6,7 +6,7 @@ CMD=$(basename ${0})
LOCK=/var/lock/${CMD}
. gettext.sh
TEXTDOMAIN="${CMD}"
TEXTDOMAIN="tails"
export TEXTDOMAIN
ROFS=/lib/live/mount/rootfs/filesystem.squashfs
......
# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
# This file is distributed under the same license as the PACKAGE package.
# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
#
#, fuzzy
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2013-06-13 16:32+0200\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
"Language: \n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
#: config/chroot_local-includes/etc/whisperback/config.py:64
#, python-format
msgid ""
"<h1>Help us fix your bug!</h1>\n"
"<p>Read <a href=\"%s\">our bug reporting instructions</a>.</p>\n"
"<p><strong>Do not include more personal information than\n"
"needed!</strong></p>\n"
"<h2>About giving us an email address</h2>\n"
"<p>If you don't mind disclosing some bits of your identity\n"
"to Tails developers, you can provide an email address to\n"
"let us ask more details about the bug. Additionally entering\n"
"a public PGP key enables us to encrypt such future\n"
"communication.</p>\n"
"<p>Anyone who can see this reply will probably infer you are\n"
"a Tails user. Time to wonder how much you trust your\n"
"Internet and mailbox providers?</p>\n"
msgstr ""
[Desktop Entry]
Categories=Network;
Comment=Anonymous overlay network
_Comment=Anonymous overlay network
Exec=/usr/local/bin/tails-start-i2p
Icon=/usr/share/i2p/eepsite/docroot/favicon.ico
Name=i2p
GenericName=Anonymous overlay network
_Name=i2p
_GenericName=Anonymous overlay network
Terminal=false
Type=Application
......@@ -3,13 +3,7 @@ Version=1.0
Type=Application
Terminal=false
Exec=sudo -n reboot
Name=Reboot
Comment=Immediately reboot computer
_Name=Reboot
_Comment=Immediately reboot computer
Icon=gtk-refresh
Categories=Application;System;Settings
Name[fr]=Redémarrer
Comment[fr]=Redémarrer immédiatement l'ordinateur
Name[de]=Neustarten
Comment[de]=Sofortiges Neustarten des Computers
Name[sv]=Starta om
Comment[sv]=Starta om datorn omedelbart
......@@ -3,13 +3,7 @@ Version=1.0
Type=Application
Terminal=false
Exec=sudo -n halt
Name=Power Off
Comment=Immediately shut down computer
_Name=Power Off
_Comment=Immediately shut down computer
Icon=system-shutdown
Categories=Application;System;Settings
Name[fr]=Éteindre
Comment[fr]=Éteindre immédiatement l'ordinateur
Name[de]=Herunterfahren
Comment[de]=Sofortiges Herunterfahren des Computers
Name[sv]=Stäng av
Comment[sv]=Stäng av datorn omedelbart
[Desktop Entry]
Encoding=UTF-8
Name=Unsafe Browser
Comment=Browse the World Wide Web without anonymity
GenericName=Unsafe Web Browser
_Name=Unsafe Browser
_Comment=Browse the World Wide Web without anonymity
_GenericName=Unsafe Web Browser
X-GNOME-FullName=Unsafe Web Browser
Exec=sudo unsafe-browser
Terminal=false
......@@ -10,15 +10,6 @@ Type=Application
Icon=/usr/share/icons/unsafe-browser.svg
Categories=Network;WebBrowser;
StartupNotify=true
Name[fr]=Navigateur Non-sécurisé
Comment[fr]=Naviguer sur le Web sans anonymisation
GenericName[fr]=Navigateur Web Non-sécurisé
X-GNOME-FullName[fr]=Navigateur Web Non-sécurisé
Name[de]=Unsicherer Internet Browser
Comment[de]=Surfen ohne Anonymität
GenericName[de]=Unsicherer Internet Browser
X-GNOME-FullName[de]=Unsicherer Internet Browser
Name[sv]=Osäker webbläsare
Comment[sv]=Surfa på nätet utan anonymitet
GenericName[sv]=Osäker webbläsare
X-GNOME-FullName[sv]=Osäker webbläsare
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment